diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
index b3f7873..de4b754 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-MA.rdf
@@ -36,9 +36,9 @@
 
       <!-- Curation and Rights Metadata for the LCC ISO 3166-2 Subdivision Codes for Morocco Ontology -->
 
-      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2017 Object Management Group, Inc.
-          Copyright (c) 2015-2017 Adaptive Inc.
-          Copyright (c) 2015-2017 Thematix Partners LLC
+      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.
+          Copyright (c) 2015-2019 Adaptive Inc.
+          Copyright (c) 2015-2019 Thematix Partners LLC
           Copyright (c) 2015-2017 Unisys
         </sm:copyright>
       <dct:license rdf:resource="&sm;MITLicense"/>
@@ -47,9 +47,9 @@
 
       <sm:filename rdf:datatype="&xsd;string">ISO3166-2-SubdivisionCodes-MA.rdf</sm:filename>
       <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-3166-2-ma</sm:fileAbbreviation>
-      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20170801/Countries/Regions/ISO3166-2-SubdivisionCodes-MA/"/>
+      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190301/Countries/Regions/ISO3166-2-SubdivisionCodes-MA/"/>
       <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 3166 standard that includes the actual ISO 3166-2 subdivision codes for Morocco, with the ontology and codes for the other parts of the standard represented in models that this ontology depends on.</sm:fileAbstract>
-      <dct:issued rdf:datatype="&xsd;dateTime">2017-07-20T22:26:02.631805+02:00</dct:issued>
+      <dct:issued rdf:datatype="&xsd;dateTime">2019-02-14T00:48:51.124818+01:00</dct:issued>
 
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Countries/CountryRepresentation/</sm:dependsOn>
@@ -111,27 +111,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // L'Oriental
+    // Béni Mellal-Khénifra
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;LOriental">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;BeniMellal-Khenifra">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>L'Oriental</rdfs:label>
-      <skos:definition>The region of L'Oriental in the country of Morocco</skos:definition>
+      <rdfs:label>Béni Mellal-Khénifra</rdfs:label>
+      <skos:definition>The region of Béni Mellal-Khénifra in the country of Morocco</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">L'Oriental</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Béni Mellal-Khénifra</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-04">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-05">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of L'Oriental in the country of Morocco</skos:definition>
-      <rdfs:label>MA-04</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-04</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;LOriental"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;LOriental"/>
+      <skos:definition>subdivision code for the region of Béni Mellal-Khénifra in the country of Morocco</skos:definition>
+      <rdfs:label>MA-05</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-05</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;BeniMellal-Khenifra"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;BeniMellal-Khenifra"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -139,27 +139,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Jrada
+    // Fquih Ben Salah
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Jrada">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;FquihBenSalah">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Jrada</rdfs:label>
-      <skos:definition>The province of Jrada in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Jrada</lcc-cr:hasLocalShortName>
+      <rdfs:label>Fquih Ben Salah</rdfs:label>
+      <skos:definition>The province of Fquih Ben Salah in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;BeniMellal-Khenifra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Fquih Ben Salah</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-JRA">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-FQH">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Jrada in the country of Morocco</skos:definition>
-      <rdfs:label>MA-JRA</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-JRA</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Jrada"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Jrada"/>
+      <skos:definition>subdivision code for the province of Fquih Ben Salah in the country of Morocco</skos:definition>
+      <rdfs:label>MA-FQH</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-FQH</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;FquihBenSalah"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;FquihBenSalah"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -169,27 +169,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Figuig
+    // Azilal
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Figuig">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Azilal">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Figuig</rdfs:label>
-      <skos:definition>The province of Figuig in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Figuig</lcc-cr:hasLocalShortName>
+      <rdfs:label>Azilal</rdfs:label>
+      <skos:definition>The province of Azilal in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;BeniMellal-Khenifra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Azilal</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-FIG">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-AZI">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Figuig in the country of Morocco</skos:definition>
-      <rdfs:label>MA-FIG</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-FIG</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Figuig"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Figuig"/>
+      <skos:definition>subdivision code for the province of Azilal in the country of Morocco</skos:definition>
+      <rdfs:label>MA-AZI</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-AZI</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Azilal"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Azilal"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -199,27 +199,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nador
+    // Khenifra
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Nador">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Khenifra">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nador</rdfs:label>
-      <skos:definition>The province of Nador in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Nador</lcc-cr:hasLocalShortName>
+      <rdfs:label>Khenifra</rdfs:label>
+      <skos:definition>The province of Khenifra in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;BeniMellal-Khenifra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Khenifra</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-NAD">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KHN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nador in the country of Morocco</skos:definition>
-      <rdfs:label>MA-NAD</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-NAD</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Nador"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Nador"/>
+      <skos:definition>subdivision code for the province of Khenifra in the country of Morocco</skos:definition>
+      <rdfs:label>MA-KHN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KHN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Khenifra"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Khenifra"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -229,27 +229,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Taourirt
+    // Khouribga
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Taourirt">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Khouribga">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Taourirt</rdfs:label>
-      <skos:definition>The province of Taourirt in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Taourirt</lcc-cr:hasLocalShortName>
+      <rdfs:label>Khouribga</rdfs:label>
+      <skos:definition>The province of Khouribga in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;BeniMellal-Khenifra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Khouribga</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAI">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KHO">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Taourirt in the country of Morocco</skos:definition>
-      <rdfs:label>MA-TAI</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAI</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Taourirt"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Taourirt"/>
+      <skos:definition>subdivision code for the province of Khouribga in the country of Morocco</skos:definition>
+      <rdfs:label>MA-KHO</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KHO</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Khouribga"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Khouribga"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -259,57 +259,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Berkane
+    // Béni Mellal
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Berkane">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;BeniMellal">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Berkane</rdfs:label>
-      <skos:definition>The province of Berkane in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Berkane</lcc-cr:hasLocalShortName>
+      <rdfs:label>Béni Mellal</rdfs:label>
+      <skos:definition>The province of Béni Mellal in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;BeniMellal-Khenifra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Béni Mellal</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BER">
-      <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Berkane in the country of Morocco</skos:definition>
-      <rdfs:label>MA-BER</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BER</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Berkane"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Berkane"/>
-      <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
-   </owl:NamedIndividual>
-
-
-
-  <!--
-    ///////////////////////////////////////////////////////////////////////////////////////
-    //
-    // Oujda-Angad
-    //
-    ///////////////////////////////////////////////////////////////////////////////////////
-    -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Oujda-Angad">
-      <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Oujda-Angad</rdfs:label>
-      <skos:definition>The prefecture of Oujda-Angad in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;LOriental"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Oujda-Angad</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
-      <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
-   </owl:NamedIndividual>
-
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-OUJ">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BEM">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Oujda-Angad in the country of Morocco</skos:definition>
-      <rdfs:label>MA-OUJ</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-OUJ</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Oujda-Angad"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Oujda-Angad"/>
+      <skos:definition>subdivision code for the province of Béni Mellal in the country of Morocco</skos:definition>
+      <rdfs:label>MA-BEM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BEM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;BeniMellal"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;BeniMellal"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -321,27 +291,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Rabat-Salé-Zemmour-Zaer
+    // Laâyoune-Sakia El Hamra (EH-partial)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Rabat-Sale-Zemmour-Zaer">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Laayoune-SakiaElHamra">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Rabat-Salé-Zemmour-Zaer</rdfs:label>
-      <skos:definition>The region of Rabat-Salé-Zemmour-Zaer in the country of Morocco</skos:definition>
+      <rdfs:label>Laâyoune-Sakia El Hamra (EH-partial)</rdfs:label>
+      <skos:definition>The region of Laâyoune-Sakia El Hamra (EH-partial) in the country of Morocco</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Morocco"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Rabat-Salé-Zemmour-Zaer</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Laâyoune-Sakia El Hamra (EH-partial)</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Region"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-07">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-11">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the region of Rabat-Salé-Zemmour-Zaer in the country of Morocco</skos:definition>
-      <rdfs:label>MA-07</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-07</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Zemmour-Zaer"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Zemmour-Zaer"/>
+      <skos:definition>subdivision code for the region of Laâyoune-Sakia El Hamra (EH-partial) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-11</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-11</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Laayoune-SakiaElHamra"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Laayoune-SakiaElHamra"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -349,27 +319,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Rabat
+    // Tarfaya (EH-partial)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Rabat">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Tarfaya">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Rabat</rdfs:label>
-      <skos:definition>The prefecture of Rabat in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Zemmour-Zaer"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Rabat</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
+      <rdfs:label>Tarfaya (EH-partial)</rdfs:label>
+      <skos:definition>The province of Tarfaya (EH-partial) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Laayoune-SakiaElHamra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Tarfaya (EH-partial)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-RAB">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-TAF">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Rabat in the country of Morocco</skos:definition>
-      <rdfs:label>MA-RAB</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-RAB</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Rabat"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Rabat"/>
+      <skos:definition>subdivision code for the province of Tarfaya (EH-partial) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-TAF</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-TAF</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Tarfaya"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Tarfaya"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -379,27 +349,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Skhirate-Témara
+    // Es-Semara (EH-partial)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Skhirate-Temara">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Es-Semara">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Skhirate-Témara</rdfs:label>
-      <skos:definition>The prefecture of Skhirate-Témara in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Zemmour-Zaer"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Skhirate-Témara</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
+      <rdfs:label>Es-Semara (EH-partial)</rdfs:label>
+      <skos:definition>The province of Es-Semara (EH-partial) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Laayoune-SakiaElHamra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Es-Semara (EH-partial)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SKH">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-ESM">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Skhirate-Témara in the country of Morocco</skos:definition>
-      <rdfs:label>MA-SKH</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SKH</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Skhirate-Temara"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Skhirate-Temara"/>
+      <skos:definition>subdivision code for the province of Es-Semara (EH-partial) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-ESM</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-ESM</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Es-Semara"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Es-Semara"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -409,27 +379,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Salé
+    // Boujdour (EH)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Sale">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Boujdour">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Salé</rdfs:label>
-      <skos:definition>The prefecture of Salé in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Zemmour-Zaer"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Salé</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Prefecture"/>
+      <rdfs:label>Boujdour (EH)</rdfs:label>
+      <skos:definition>The province of Boujdour (EH) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Laayoune-SakiaElHamra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Boujdour (EH)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-SAL">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-BOD">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the prefecture of Salé in the country of Morocco</skos:definition>
-      <rdfs:label>MA-SAL</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-SAL</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Sale"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Sale"/>
+      <skos:definition>subdivision code for the province of Boujdour (EH) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-BOD</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-BOD</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Boujdour"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Boujdour"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
@@ -439,27 +409,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Khemisset
+    // Laâyoune (EH)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Khemisset">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;Laayoune">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Khemisset</rdfs:label>
-      <skos:definition>The province of Khemisset in the country of Morocco</skos:definition>
-      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Rabat-Sale-Zemmour-Zaer"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Khemisset</lcc-cr:hasLocalShortName>
+      <rdfs:label>Laâyoune (EH)</rdfs:label>
+      <skos:definition>The province of Laâyoune (EH) in the country of Morocco</skos:definition>
+      <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-2-ma;Laayoune-SakiaElHamra"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ar">Laâyoune (EH)</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ma;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-KHE">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ma;MA-LAA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Khemisset in the country of Morocco</skos:definition>
-      <rdfs:label>MA-KHE</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-KHE</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Khemisset"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Khemisset"/>
+      <skos:definition>subdivision code for the province of Laâyoune (EH) in the country of Morocco</skos:definition>
+      <rdfs:label>MA-LAA</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">MA-LAA</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ma;Laayoune"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ma;Laayoune"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ma;"/>
    </owl:NamedIndividual>
